<?xml version="1.0"?>
<ruleset name="WordPress Coding Standards for WP Desk Plugin">
	<description>Sniffs for WordPress WPDesk plugins</description>

	<config name="testVersion" value="7.2-"/>
	<config name="text_domain" value="plugin-template"/>

	<exclude-pattern>tests/*</exclude-pattern>
	<exclude-pattern>scoper.inc.php</exclude-pattern>
	<exclude-pattern>webpack.mix.js</exclude-pattern>

	<rule ref="WPDeskPlugin"/>

	<!-- Remove checking if classes are in class- files -->
	<rule ref="WordPress.Files.FileName">
		<exclude-pattern>/src/.*\.php</exclude-pattern>
	</rule>

	<rule ref="WordPress.Files.FileName.InvalidClassFileName">
    	<exclude-pattern>/src/.*\.php</exclude-pattern>
    </rule>

</ruleset>
